explain_opendir_or_die(3)

NAME
explain_opendir_or_die - open a directory and report errors
    "open a directory and report errors"

SYNOPSIS
#include <libexplain/opendir.h>

DIR *explain_opendir_or_die(const char *pathname);

DESCRIPTION
The explain_opendir_or_die function is used to call the opendir(3) system call. On failure an explanation will be printed to stderr, obtained from explain_opendir(3), and then the process terminates by calling exit(EXIT_FAILURE).

This function is intended to be used in a fashion similar to the following example:
    DIR *dir = explain_opendir_or_die(pathname);

pathname
    The pathname, exactly as to be passed to the opendir(3) system call.

Returns:
    On success, a pointer to the directory stream. On failure, prints an explanation and exits, does not return.

SEE ALSO

opendir(3)
    open a directory

explain_opendir(3)
    explain opendir(3) errors

exit(2)
    terminate the calling process

COPYRIGHT
libexplain version 1.4
Copyright (C) 2008 Peter Miller